/*
 * java-gnome, a UI library for writing GTK and GNOME programs from Java!
 *
 * Copyright ? 2006-2011 Operational Dynamics Consulting, Pty Ltd and Others
 *
 * The code in this file, and the program it is a part of, is made available
 * to you by its authors as open source software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version
 * 2 ("GPL") as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GPL for more details.
 *
 * You should have received a copy of the GPL along with this program. If not,
 * see http://www.gnu.org/licenses/. The authors of this program may be
 * contacted through http://java-gnome.sourceforge.net/.
 *
 * Linking this library statically or dynamically with other modules is making
 * a combined work based on this library. Thus, the terms and conditions of
 * the GPL cover the whole combination. As a special exception (the
 * "Claspath Exception"), the copyright holders of this library give you
 * permission to link this library with independent modules to produce an
 * executable, regardless of the license terms of these independent modules,
 * and to copy and distribute the resulting executable under terms of your
 * choice, provided that you also meet, for each linked independent module,
 * the terms and conditions of the license of that module. An independent
 * module is a module which is not derived from or based on this library. If
 * you modify this library, you may extend the Classpath Exception to your
 * version of the library, but you are not obligated to do so. If you do not
 * wish to do so, delete this exception statement from your version.
 */

/*
 * THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gdk_GdkDrawable.h"

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkDrawable_gdk_1drawable_1get_1size
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jintArray _width,
	jintArray _height
)
{
	GdkDrawable* self;
	gint* width;
	gint* height;

	// convert parameter self
	self = (GdkDrawable*) _self;

	// convert parameter width
	if (_width == NULL) {
		width = NULL;
	} else {
		width = (gint*) (*env)->GetIntArrayElements(env, _width, NULL);
		if (width == NULL) {
			return; // Java Exception already thrown
		}
	}

	// convert parameter height
	if (_height == NULL) {
		height = NULL;
	} else {
		height = (gint*) (*env)->GetIntArrayElements(env, _height, NULL);
		if (height == NULL) {
			return; // Java Exception already thrown
		}
	}

	// call function
	gdk_drawable_get_size(self, width, height);

	// cleanup parameter self

	// cleanup parameter width
	if (width != NULL) {
		(*env)->ReleaseIntArrayElements(env, _width, (jint*)width, 0);
	}

	// cleanup parameter height
	if (height != NULL) {
		(*env)->ReleaseIntArrayElements(env, _height, (jint*)height, 0);
	}
}

JNIEXPORT void JNICALL
Java_org_gnome_gdk_GdkDrawable_gdk_1drawable_1set_1colormap
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jlong _colormap
)
{
	GdkDrawable* self;
	GdkColormap* colormap;

	// convert parameter self
	self = (GdkDrawable*) _self;

	// convert parameter colormap
	colormap = (GdkColormap*) _colormap;

	// call function
	gdk_drawable_set_colormap(self, colormap);

	// cleanup parameter self

	// cleanup parameter colormap
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gdk_GdkDrawable_gdk_1drawable_1get_1colormap
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkColormap* result;
	jlong _result;
	GdkDrawable* self;

	// convert parameter self
	self = (GdkDrawable*) _self;

	// call function
	result = gdk_drawable_get_colormap(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gdk_GdkDrawable_gdk_1drawable_1get_1visual
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkVisual* result;
	jlong _result;
	GdkDrawable* self;

	// convert parameter self
	self = (GdkDrawable*) _self;

	// call function
	result = gdk_drawable_get_visual(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_gdk_GdkDrawable_gdk_1drawable_1get_1depth
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GdkDrawable* self;

	// convert parameter self
	self = (GdkDrawable*) _self;

	// call function
	result = gdk_drawable_get_depth(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gdk_GdkDrawable_gdk_1drawable_1get_1screen
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkScreen* result;
	jlong _result;
	GdkDrawable* self;

	// convert parameter self
	self = (GdkDrawable*) _self;

	// call function
	result = gdk_drawable_get_screen(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gdk_GdkDrawable_gdk_1drawable_1get_1display
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkDisplay* result;
	jlong _result;
	GdkDrawable* self;

	// convert parameter self
	self = (GdkDrawable*) _self;

	// call function
	result = gdk_drawable_get_display(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gdk_GdkDrawable_gdk_1drawable_1get_1clip_1region
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkRegion* result;
	jlong _result;
	GdkDrawable* self;

	// convert parameter self
	self = (GdkDrawable*) _self;

	// call function
	result = gdk_drawable_get_clip_region(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gdk_GdkDrawable_gdk_1drawable_1get_1visible_1region
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GdkRegion* result;
	jlong _result;
	GdkDrawable* self;

	// convert parameter self
	self = (GdkDrawable*) _self;

	// call function
	result = gdk_drawable_get_visible_region(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// and finally
	return _result;
}
